%define name	perl-Modem-Vgetty
%define version	0.04
%define release	4mdk

Summary:	Modem-Vgetty module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Modem-Vgetty-0.03.tar.bz2
Patch0:		Modem-Vgetty-0.04-VOCP.patch.bz2
URL:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
Modem-Vgetty module for perl

%prep

%setup -q -n Modem-Vgetty-0.03
%patch0 -p1
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%{__make}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc examples ChangeLog README
%{perl_vendorlib}/Modem/*.pm
%{_mandir}/man3*/*

%changelog
* Mon Jul 04 2005 Oden Eriksson <oeriksson@mandriva.com> 0.04-4mdk
- rebuild

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.04-3mdk
- rebuilt, fix deps
- use macros

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-2mdk
- rebuild for new auto{prov,req}

* Wed Feb 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.04-1mdk
- added P0 by Patrick Deegan

* Tue Feb 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.03-1mdk
- initial cooker contrib.
